!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 19:55             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 112

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(820)
  integer, parameter :: nGC_3229 = 1
  integer, parameter :: nGC_3228 = 2
  integer, parameter :: nGC_3227 = 3
  integer, parameter :: nGC_3226 = 4
  integer, parameter :: nGC_3225 = 5
  integer, parameter :: nGC_3224 = 6
  integer, parameter :: nGC_3223 = 7
  integer, parameter :: nGC_3222 = 8
  integer, parameter :: nGC_3221 = 9
  integer, parameter :: nGC_3220 = 10
  integer, parameter :: nGC_3139 = 11
  integer, parameter :: nGC_3138 = 12
  integer, parameter :: nGC_3421 = 13
  integer, parameter :: nGC_3420 = 14
  integer, parameter :: nGC_3131 = 15
  integer, parameter :: nGC_3422 = 16
  integer, parameter :: nGC_3425 = 17
  integer, parameter :: nGC_3136 = 18
  integer, parameter :: nGC_3427 = 19
  integer, parameter :: nGC_3426 = 20
  integer, parameter :: nGC_3189 = 21
  integer, parameter :: nGC_3129 = 22
  integer, parameter :: nGC_3409 = 23
  integer, parameter :: nGC_MZ_GF = 24
  integer, parameter :: nGC_28 = 25
  integer, parameter :: nGC_29 = 26
  integer, parameter :: nGC_3408 = 27
  integer, parameter :: nGC_22 = 28
  integer, parameter :: nGC_23 = 29
  integer, parameter :: nGC_20 = 30
  integer, parameter :: nGC_21 = 31
  integer, parameter :: nGC_26 = 32
  integer, parameter :: nGC_27 = 33
  integer, parameter :: nGC_24 = 34
  integer, parameter :: nGC_25 = 35
  integer, parameter :: nGC_5537 = 36
  integer, parameter :: nGC_81 = 37
  integer, parameter :: nGC_GG = 38
  integer, parameter :: nGC_3469 = 39
  integer, parameter :: nGC_3468 = 40
  integer, parameter :: nGC_3465 = 41
  integer, parameter :: nGC_3467 = 42
  integer, parameter :: nGC_3466 = 43
  integer, parameter :: nGC_3461 = 44
  integer, parameter :: nGC_3460 = 45
  integer, parameter :: nGC_3463 = 46
  integer, parameter :: nGC_MMW_GF = 47
  integer, parameter :: nGC_3182 = 48
  integer, parameter :: nGC_3183 = 49
  integer, parameter :: nGC_3180 = 50
  integer, parameter :: nGC_3181 = 51
  integer, parameter :: nGC_3186 = 52
  integer, parameter :: nGC_3187 = 53
  integer, parameter :: nGC_3184 = 54
  integer, parameter :: nGC_3185 = 55
  integer, parameter :: nGC_73 = 56
  integer, parameter :: nGC_3164 = 57
  integer, parameter :: nGC_3165 = 58
  integer, parameter :: nGC_3166 = 59
  integer, parameter :: nGC_3167 = 60
  integer, parameter :: nGC_3160 = 61
  integer, parameter :: nGC_3161 = 62
  integer, parameter :: nGC_3162 = 63
  integer, parameter :: nGC_3163 = 64
  integer, parameter :: nGC_I = 65
  integer, parameter :: nGC_3168 = 66
  integer, parameter :: nGC_3169 = 67
  integer, parameter :: nGC_3 = 68
  integer, parameter :: nGC_2 = 69
  integer, parameter :: nGC_1 = 70
  integer, parameter :: nGC_7 = 71
  integer, parameter :: nGC_6 = 72
  integer, parameter :: nGC_5 = 73
  integer, parameter :: nGC_4 = 74
  integer, parameter :: nGC_9 = 75
  integer, parameter :: nGC_8 = 76
  integer, parameter :: nGC_3100 = 77
  integer, parameter :: nGC_53 = 78
  integer, parameter :: nGC_52 = 79
  integer, parameter :: nGC_51 = 80
  integer, parameter :: nGC_50 = 81
  integer, parameter :: nGC_57 = 82
  integer, parameter :: nGC_56 = 83
  integer, parameter :: nGC_55 = 84
  integer, parameter :: nGC_54 = 85
  integer, parameter :: nGC_3454 = 86
  integer, parameter :: nGC_59 = 87
  integer, parameter :: nGC_58 = 88
  integer, parameter :: nGC_3423 = 89
  integer, parameter :: nGC_3107 = 90
  integer, parameter :: nGC_3130 = 91
  integer, parameter :: nGC_3104 = 92
  integer, parameter :: nGC_3137 = 93
  integer, parameter :: nGC_4978 = 94
  integer, parameter :: nGC_3424 = 95
  integer, parameter :: nGC_3135 = 96
  integer, parameter :: nGC_MB = 97
  integer, parameter :: nGC_4873 = 98
  integer, parameter :: nGC_160 = 99
  integer, parameter :: nGC_3134 = 100
  integer, parameter :: nGC_3234 = 101
  integer, parameter :: nGC_3235 = 102
  integer, parameter :: nGC_3236 = 103
  integer, parameter :: nGC_3230 = 104
  integer, parameter :: nGC_3231 = 105
  integer, parameter :: nGC_3232 = 106
  integer, parameter :: nGC_3233 = 107
  integer, parameter :: nGC_5127 = 108
  integer, parameter :: nGC_MZ = 109
  integer, parameter :: nGC_4904 = 110
  integer, parameter :: nGC_3309 = 111
  integer, parameter :: nGC_3436 = 112
  integer, parameter :: nGC_3437 = 113
  integer, parameter :: nGC_3434 = 114
  integer, parameter :: nGC_3435 = 115
  integer, parameter :: nGC_3432 = 116
  integer, parameter :: nGC_3433 = 117
  integer, parameter :: nGC_3430 = 118
  integer, parameter :: nGC_3431 = 119
  integer, parameter :: nGC_3438 = 120
  integer, parameter :: nGC_3439 = 121
  integer, parameter :: nGC_3288 = 122
  integer, parameter :: nGC_3123 = 123
  integer, parameter :: nGC_3124 = 124
  integer, parameter :: nGC_3125 = 125
  integer, parameter :: nGC_3126 = 126
  integer, parameter :: nGC_3127 = 127
  integer, parameter :: nGC_5017 = 128
  integer, parameter :: nGC_3198 = 129
  integer, parameter :: nGC_17 = 130
  integer, parameter :: nGC_16 = 131
  integer, parameter :: nGC_15 = 132
  integer, parameter :: nGC_14 = 133
  integer, parameter :: nGC_13 = 134
  integer, parameter :: nGC_12 = 135
  integer, parameter :: nGC_11 = 136
  integer, parameter :: nGC_10 = 137
  integer, parameter :: nGC_19 = 138
  integer, parameter :: nGC_18 = 139
  integer, parameter :: nGC_5724 = 140
  integer, parameter :: nGC_5245 = 141
  integer, parameter :: nGC_5244 = 142
  integer, parameter :: nGC_5873 = 143
  integer, parameter :: nGC_5875 = 144
  integer, parameter :: nGC_3212 = 145
  integer, parameter :: nGC_7262 = 146
  integer, parameter :: nGC_3371 = 147
  integer, parameter :: nGC_3370 = 148
  integer, parameter :: nGC_3197 = 149
  integer, parameter :: nGC_3193 = 150
  integer, parameter :: nGC_MI = 151
  integer, parameter :: nGC_3192 = 152
  integer, parameter :: nGC_3472 = 153
  integer, parameter :: nGC_3473 = 154
  integer, parameter :: nGC_3470 = 155
  integer, parameter :: nGC_3471 = 156
  integer, parameter :: nGC_3474 = 157
  integer, parameter :: nGC_3475 = 158
  integer, parameter :: nGC_MH = 159
  integer, parameter :: nGC_5464 = 160
  integer, parameter :: nGC_3275 = 161
  integer, parameter :: nGC_5461 = 162
  integer, parameter :: nGC_3278 = 163
  integer, parameter :: nGC_3151 = 164
  integer, parameter :: nGC_3150 = 165
  integer, parameter :: nGC_3153 = 166
  integer, parameter :: nGC_3152 = 167
  integer, parameter :: nGC_3155 = 168
  integer, parameter :: nGC_3154 = 169
  integer, parameter :: nGC_3157 = 170
  integer, parameter :: nGC_3156 = 171
  integer, parameter :: nGC_3407 = 172
  integer, parameter :: nGC_3406 = 173
  integer, parameter :: nGC_3401 = 174
  integer, parameter :: nGC_3400 = 175
  integer, parameter :: nGC_220 = 176
  integer, parameter :: nGC_5024 = 177
  integer, parameter :: nGC_HHHH = 178
  integer, parameter :: nGC_4758 = 179
  integer, parameter :: nGC_5205 = 180
  integer, parameter :: nGC_5204 = 181
  integer, parameter :: nGC_458 = 182
  integer, parameter :: nGC_9552 = 183
  integer, parameter :: nGC_MC = 184
  integer, parameter :: nGC_290 = 185
  integer, parameter :: nGC_356 = 186
  integer, parameter :: nGC_8430 = 187
  integer, parameter :: nGC_2126 = 188
  integer, parameter :: nGC_2122 = 189
  integer, parameter :: nGC_48 = 190
  integer, parameter :: nGC_49 = 191
  integer, parameter :: nGC_5422 = 192
  integer, parameter :: nGC_44 = 193
  integer, parameter :: nGC_45 = 194
  integer, parameter :: nGC_46 = 195
  integer, parameter :: nGC_47 = 196
  integer, parameter :: nGC_40 = 197
  integer, parameter :: nGC_41 = 198
  integer, parameter :: nGC_42 = 199
  integer, parameter :: nGC_43 = 200
  integer, parameter :: nGC_4989 = 201
  integer, parameter :: nGC_5588 = 202
  integer, parameter :: nGC_4985 = 203
  integer, parameter :: nGC_4983 = 204
  integer, parameter :: nGC_4981 = 205
  integer, parameter :: nGC_4864 = 206
  integer, parameter :: nGC_4866 = 207
  integer, parameter :: nGC_5096 = 208
  integer, parameter :: nGC_3208 = 209
  integer, parameter :: nGC_5095 = 210
  integer, parameter :: nGC_MM = 211
  integer, parameter :: nGC_5093 = 212
  integer, parameter :: nGC_5090 = 213
  integer, parameter :: nGC_3114 = 214
  integer, parameter :: nGC_3201 = 215
  integer, parameter :: nGC_3200 = 216
  integer, parameter :: nGC_3203 = 217
  integer, parameter :: nGC_3202 = 218
  integer, parameter :: nGC_3205 = 219
  integer, parameter :: nGC_6860 = 220
  integer, parameter :: nGC_3207 = 221
  integer, parameter :: nGC_3206 = 222
  integer, parameter :: nGC_3440 = 223
  integer, parameter :: nGC_3447 = 224
  integer, parameter :: nGC_3416 = 225
  integer, parameter :: nGC_3446 = 226
  integer, parameter :: nGC_3417 = 227
  integer, parameter :: nGC_3445 = 228
  integer, parameter :: nGC_3441 = 229
  integer, parameter :: nGC_3410 = 230
  integer, parameter :: nGC_3444 = 231
  integer, parameter :: nGC_3143 = 232
  integer, parameter :: nGC_5584 = 233
  integer, parameter :: nGC_3335 = 234
  integer, parameter :: nGC_3334 = 235
  integer, parameter :: nGC_3337 = 236
  integer, parameter :: nGC_3336 = 237
  integer, parameter :: nGC_3333 = 238
  integer, parameter :: nGC_3115 = 239
  integer, parameter :: nGC_3442 = 240
  integer, parameter :: nGC_3117 = 241
  integer, parameter :: nGC_3116 = 242
  integer, parameter :: nGC_3111 = 243
  integer, parameter :: nGC_3110 = 244
  integer, parameter :: nGC_3113 = 245
  integer, parameter :: nGC_3112 = 246
  integer, parameter :: nGC_3119 = 247
  integer, parameter :: nGC_3118 = 248
  integer, parameter :: nGC_61 = 249
  integer, parameter :: nGC_5733 = 250
  integer, parameter :: nGC_GPGMGPGM = 251
  integer, parameter :: nGC_5730 = 252
  integer, parameter :: nGC_5637 = 253
  integer, parameter :: nGC_5328 = 254
  integer, parameter :: nGC_3133 = 255
  integer, parameter :: nGC_152 = 256
  integer, parameter :: nGC_5399 = 257
  integer, parameter :: nGC_5723 = 258
  integer, parameter :: nGC_5192 = 259
  integer, parameter :: nGC_MW_GF = 260
  integer, parameter :: nGC_75 = 261
  integer, parameter :: nGC_74 = 262
  integer, parameter :: nGC_77 = 263
  integer, parameter :: nGC_76 = 264
  integer, parameter :: nGC_71 = 265
  integer, parameter :: nGC_70 = 266
  integer, parameter :: nGC_5780 = 267
  integer, parameter :: nGC_72 = 268
  integer, parameter :: nGC_79 = 269
  integer, parameter :: nGC_78 = 270
  integer, parameter :: nGC_HHGG = 271
  integer, parameter :: nGC_4951 = 272
  integer, parameter :: nGC_3132 = 273
  integer, parameter :: nGC_4956 = 274
  integer, parameter :: nGC_3399 = 275
  integer, parameter :: nGC_3398 = 276
  integer, parameter :: nGC_3393 = 277
  integer, parameter :: nGC_3392 = 278
  integer, parameter :: nGC_3391 = 279
  integer, parameter :: nGC_3390 = 280
  integer, parameter :: nGC_3397 = 281
  integer, parameter :: nGC_3396 = 282
  integer, parameter :: nGC_3395 = 283
  integer, parameter :: nGC_3394 = 284
  integer, parameter :: nGC_3367 = 285
  integer, parameter :: nGC_5779 = 286
  integer, parameter :: nGC_3365 = 287
  integer, parameter :: nGC_3361 = 288
  integer, parameter :: nGC_3245 = 289
  integer, parameter :: nGC_3244 = 290
  integer, parameter :: nGC_3246 = 291
  integer, parameter :: nGC_3243 = 292
  integer, parameter :: nGC_4739 = 293
  integer, parameter :: nGC_4730 = 294
  integer, parameter :: nGC_6859 = 295
  integer, parameter :: nGC_6858 = 296
  integer, parameter :: nGC_3418 = 297
  integer, parameter :: nGC_3419 = 298
  integer, parameter :: nGC_3148 = 299
  integer, parameter :: nGC_3149 = 300
  integer, parameter :: nGC_3146 = 301
  integer, parameter :: nGC_3147 = 302
  integer, parameter :: nGC_3144 = 303
  integer, parameter :: nGC_3145 = 304
  integer, parameter :: nGC_3142 = 305
  integer, parameter :: nGC_3411 = 306
  integer, parameter :: nGC_3140 = 307
  integer, parameter :: nGC_3141 = 308
  integer, parameter :: nGC_5038 = 309
  integer, parameter :: nGC_3092 = 310
  integer, parameter :: nGC_3093 = 311
  integer, parameter :: nGC_3094 = 312
  integer, parameter :: nGC_3095 = 313
  integer, parameter :: nGC_3096 = 314
  integer, parameter :: nGC_3097 = 315
  integer, parameter :: nGC_3098 = 316
  integer, parameter :: nGC_3099 = 317
  integer, parameter :: nGC_3276 = 318
  integer, parameter :: nGC_3277 = 319
  integer, parameter :: nGC_3362 = 320
  integer, parameter :: nGC_5210 = 321
  integer, parameter :: nGC_5213 = 322
  integer, parameter :: nGC_4787 = 323
  integer, parameter :: nGC_82 = 324
  integer, parameter :: nGC_6518 = 325
  integer, parameter :: nGC_8428 = 326
  integer, parameter :: nGC_286 = 327
  integer, parameter :: nGC_546 = 328
  integer, parameter :: nGC_39 = 329
  integer, parameter :: nGC_31 = 330
  integer, parameter :: nGC_30 = 331
  integer, parameter :: nGC_33 = 332
  integer, parameter :: nGC_32 = 333
  integer, parameter :: nGC_35 = 334
  integer, parameter :: nGC_34 = 335
  integer, parameter :: nGC_37 = 336
  integer, parameter :: nGC_36 = 337
  integer, parameter :: nGC_4854 = 338
  integer, parameter :: nGC_4851 = 339
  integer, parameter :: nGC_4728 = 340
  integer, parameter :: nGC_148 = 341
  integer, parameter :: nGC_4991 = 342
  integer, parameter :: nGC_3357 = 343
  integer, parameter :: nGC_3355 = 344
  integer, parameter :: nGC_3354 = 345
  integer, parameter :: nGC_3443 = 346
  integer, parameter :: nGC_3352 = 347
  integer, parameter :: nGC_3351 = 348
  integer, parameter :: nGC_1650 = 349
  integer, parameter :: nGC_GGH = 350
  integer, parameter :: nGC_3328 = 351
  integer, parameter :: nGC_3329 = 352
  integer, parameter :: nGC_3327 = 353
  integer, parameter :: nGC_3102 = 354
  integer, parameter :: nGC_3103 = 355
  integer, parameter :: nGC_3452 = 356
  integer, parameter :: nGC_3453 = 357
  integer, parameter :: nGC_3106 = 358
  integer, parameter :: nGC_3455 = 359
  integer, parameter :: nGC_3456 = 360
  integer, parameter :: nGC_3105 = 361
  integer, parameter :: nGC_3108 = 362
  integer, parameter :: nGC_3109 = 363
  integer, parameter :: nGC_ME = 364
  integer, parameter :: nGC_MD = 365
  integer, parameter :: nGC_3159 = 366
  integer, parameter :: nGC_3158 = 367
  integer, parameter :: nGC_MS = 368
  integer, parameter :: nGC_MW = 369
  integer, parameter :: nGC_MU = 370
  integer, parameter :: nGC_MT = 371
  integer, parameter :: nGC_3216 = 372
  integer, parameter :: nGC_3217 = 373
  integer, parameter :: nGC_3214 = 374
  integer, parameter :: nGC_3215 = 375
  integer, parameter :: nGC_3199 = 376
  integer, parameter :: nGC_3213 = 377
  integer, parameter :: nGC_3210 = 378
  integer, parameter :: nGC_3211 = 379
  integer, parameter :: nGC_3195 = 380
  integer, parameter :: nGC_3194 = 381
  integer, parameter :: nGC_3412 = 382
  integer, parameter :: nGC_3196 = 383
  integer, parameter :: nGC_3191 = 384
  integer, parameter :: nGC_3190 = 385
  integer, parameter :: nGC_3218 = 386
  integer, parameter :: nGC_3219 = 387
  integer, parameter :: nGC_3177 = 388
  integer, parameter :: nGC_3176 = 389
  integer, parameter :: nGC_3175 = 390
  integer, parameter :: nGC_3174 = 391
  integer, parameter :: nGC_3173 = 392
  integer, parameter :: nGC_3172 = 393
  integer, parameter :: nGC_3171 = 394
  integer, parameter :: nGC_3170 = 395
  integer, parameter :: nGC_3413 = 396
  integer, parameter :: nGC_3179 = 397
  integer, parameter :: nGC_3178 = 398
  integer, parameter :: nGC_3128 = 399
  integer, parameter :: nGC_6367 = 400
  integer, parameter :: nGC_242 = 401
  integer, parameter :: nGC_38 = 402
  integer, parameter :: nGC_6369 = 403
  integer, parameter :: nGC_4772 = 404
  integer, parameter :: nGC_4773 = 405
  integer, parameter :: nGC_3204 = 406
  integer, parameter :: nGC_6207 = 407
  integer, parameter :: nGC_6203 = 408
  integer, parameter :: nGC_MTA = 409
  integer, parameter :: nGC_3120 = 410
  integer, parameter :: nGC_3121 = 411
  integer, parameter :: nGC_3122 = 412
  integer, parameter :: nGC_5382 = 413
  integer, parameter :: nGC_5381 = 414
  integer, parameter :: nGC_88 = 415
  integer, parameter :: nGC_5910 = 416
  integer, parameter :: nGC_80 = 417
  integer, parameter :: nGC_7161 = 418
  integer, parameter :: nGC_7162 = 419
  integer, parameter :: nGC_83 = 420
  integer, parameter :: nGC_84 = 421
  integer, parameter :: nGC_85 = 422
  integer, parameter :: nGC_86 = 423
  integer, parameter :: nGC_87 = 424
  integer, parameter :: nGC_144 = 425
  integer, parameter :: nGC_5183 = 426
  integer, parameter :: nGC_5186 = 427
  integer, parameter :: nGC_5189 = 428
  integer, parameter :: nGC_66 = 429
  integer, parameter :: nGC_67 = 430
  integer, parameter :: nGC_64 = 431
  integer, parameter :: nGC_65 = 432
  integer, parameter :: nGC_62 = 433
  integer, parameter :: nGC_63 = 434
  integer, parameter :: nGC_60 = 435
  integer, parameter :: nGC_3101 = 436
  integer, parameter :: nGC_68 = 437
  integer, parameter :: nGC_69 = 438
  integer, parameter :: nGC_3323 = 439
  integer, parameter :: nGC_3209 = 440
  integer, parameter :: nGC_3188 = 441
  integer, parameter :: nGC_4803 = 442
  integer, parameter :: nGC_HHH = 443
  integer, parameter :: nGC_2174 = 444
  integer, parameter :: nGC_112 = 445
  integer, parameter :: nGC_3388 = 446
  integer, parameter :: nGC_3389 = 447
  integer, parameter :: nGC_3380 = 448
  integer, parameter :: nGC_3381 = 449
  integer, parameter :: nGC_3382 = 450
  integer, parameter :: nGC_3383 = 451
  integer, parameter :: nGC_3384 = 452
  integer, parameter :: nGC_3385 = 453
  integer, parameter :: nGC_3386 = 454
  integer, parameter :: nGC_3387 = 455
  integer, parameter :: nGC_5441 = 456
  integer, parameter :: nGC_3312 = 457
  integer, parameter :: nGC_5443 = 458
  integer, parameter :: nGC_3259 = 459
  integer, parameter :: nGC_3317 = 460
  integer, parameter :: nGC_3316 = 461
  integer, parameter :: nGC_3315 = 462
  integer, parameter :: nGC_3314 = 463
  integer, parameter :: nGC_5449 = 464
  integer, parameter :: nGC_3253 = 465
  integer, parameter :: nGC_3250 = 466
  integer, parameter :: nGC_3251 = 467
  integer, parameter :: nGC_3256 = 468
  integer, parameter :: nGC_3257 = 469
  integer, parameter :: nGC_3254 = 470
  integer, parameter :: nGC_3255 = 471
  integer, parameter :: nGC_3429 = 472
  integer, parameter :: nGC_3428 = 473
  integer, parameter :: nGC_5001 = 474
  integer, parameter :: nGC_208 = 475
  integer, parameter :: nGC_5004 = 476
  integer, parameter :: nGC_5007 = 477
  integer, parameter :: nGC_6122 = 478
  integer, parameter :: nGC_6088 = 479
  integer, parameter :: nGC_6089 = 480
  integer, parameter :: nGC_8950 = 481
  integer, parameter :: nGC_5229 = 482
  integer, parameter :: nGC_5340 = 483
  integer, parameter :: nGC_4797 = 484
  integer, parameter :: nGC_5220 = 485
  integer, parameter :: nGC_5208 = 486
  integer, parameter :: nGC_7201 = 487
  integer, parameter :: nGC_372 = 488
  integer, parameter :: nGC_6989 = 489
  integer, parameter :: nGC_6988 = 490
  integer, parameter :: nGC_4846 = 491
  integer, parameter :: nGC_4847 = 492
  integer, parameter :: nGC_7766 = 493
  integer, parameter :: nGC_7767 = 494
  integer, parameter :: nGC_4848 = 495
  integer, parameter :: nGC_7765 = 496
  integer, parameter :: nGC_3348 = 497
  integer, parameter :: nGC_3349 = 498
  integer, parameter :: nGC_3344 = 499
  integer, parameter :: nGC_3345 = 500
  integer, parameter :: nGC_3346 = 501
  integer, parameter :: nGC_3347 = 502
  integer, parameter :: nGC_3340 = 503
  integer, parameter :: nGC_3341 = 504
  integer, parameter :: nGC_3342 = 505
  integer, parameter :: nGC_3343 = 506
  integer, parameter :: nGC_3313 = 507
  integer, parameter :: nGC_3258 = 508
  integer, parameter :: nGC_5400 = 509
  integer, parameter :: nGC_3311 = 510
  integer, parameter :: nGC_4836 = 511
  integer, parameter :: nGC_3310 = 512
  integer, parameter :: nGC_4930 = 513
  integer, parameter :: nGC_3252 = 514
  integer, parameter :: nGC_5762 = 515
  integer, parameter :: nGC_5763 = 516
  integer, parameter :: nGC_3263 = 517
  integer, parameter :: nGC_3262 = 518
  integer, parameter :: nGC_3261 = 519
  integer, parameter :: nGC_3260 = 520
  integer, parameter :: nGC_3267 = 521
  integer, parameter :: nGC_3266 = 522
  integer, parameter :: nGC_3265 = 523
  integer, parameter :: nGC_3264 = 524
  integer, parameter :: nGC_3269 = 525
  integer, parameter :: nGC_3268 = 526
  integer, parameter :: nGC_3319 = 527
  integer, parameter :: nGC_5301 = 528
  integer, parameter :: nGC_230 = 529
  integer, parameter :: nGC_9389 = 530
  integer, parameter :: nGC_4746 = 531
  integer, parameter :: nGC_4740 = 532
  integer, parameter :: nGC_4742 = 533
  integer, parameter :: nGC_5276 = 534
  integer, parameter :: nGC_5275 = 535
  integer, parameter :: nGC_4880 = 536
  integer, parameter :: nGC_4881 = 537
  integer, parameter :: nGC_5278 = 538
  integer, parameter :: nGC_5279 = 539
  integer, parameter :: nGC_6304 = 540
  integer, parameter :: nGC_6303 = 541
  integer, parameter :: nGC_3325 = 542
  integer, parameter :: nGC_4971 = 543
  integer, parameter :: nGC_9247 = 544
  integer, parameter :: nGC_9084 = 545
  integer, parameter :: nGC_4879 = 546
  integer, parameter :: nGC_4870 = 547
  integer, parameter :: nGC_4876 = 548
  integer, parameter :: nGC_3238 = 549
  integer, parameter :: nGC_3239 = 550
  integer, parameter :: nGC_3237 = 551
  integer, parameter :: nGC_6990 = 552
  integer, parameter :: nGC_6991 = 553
  integer, parameter :: nGC_7537 = 554
  integer, parameter :: nGC_7538 = 555
  integer, parameter :: nGC_5087 = 556
  integer, parameter :: nGC_5698 = 557
  integer, parameter :: nGC_5697 = 558
  integer, parameter :: nGC_4907 = 559
  integer, parameter :: nGC_3301 = 560
  integer, parameter :: nGC_3302 = 561
  integer, parameter :: nGC_3303 = 562
  integer, parameter :: nGC_3304 = 563
  integer, parameter :: nGC_3305 = 564
  integer, parameter :: nGC_3306 = 565
  integer, parameter :: nGC_3307 = 566
  integer, parameter :: nGC_3308 = 567
  integer, parameter :: nGC_5453 = 568
  integer, parameter :: nGC_3281 = 569
  integer, parameter :: nGC_3280 = 570
  integer, parameter :: nGC_3283 = 571
  integer, parameter :: nGC_3282 = 572
  integer, parameter :: nGC_3285 = 573
  integer, parameter :: nGC_3284 = 574
  integer, parameter :: nGC_3287 = 575
  integer, parameter :: nGC_3286 = 576
  integer, parameter :: nGC_3289 = 577
  integer, parameter :: nGC_8369 = 578
  integer, parameter :: nGC_5155 = 579
  integer, parameter :: nGC_5012 = 580
  integer, parameter :: nGC_3318 = 581
  integer, parameter :: nGC_5337 = 582
  integer, parameter :: nGC_5232 = 583
  integer, parameter :: nGC_5230 = 584
  integer, parameter :: nGC_7199 = 585
  integer, parameter :: nGC_7198 = 586
  integer, parameter :: nGC_7688 = 587
  integer, parameter :: nGC_6619 = 588
  integer, parameter :: nGC_6617 = 589
  integer, parameter :: nGC_6616 = 590
  integer, parameter :: nGC_5248 = 591
  integer, parameter :: nGC_3379 = 592
  integer, parameter :: nGC_3378 = 593
  integer, parameter :: nGC_3373 = 594
  integer, parameter :: nGC_3372 = 595
  integer, parameter :: nGC_3375 = 596
  integer, parameter :: nGC_3374 = 597
  integer, parameter :: nGC_3377 = 598
  integer, parameter :: nGC_3376 = 599
  integer, parameter :: nGC_9186 = 600
  integer, parameter :: nGC_4948 = 601
  integer, parameter :: nGC_4820 = 602
  integer, parameter :: nGC_4943 = 603
  integer, parameter :: nGC_4944 = 604
  integer, parameter :: nGC_3478 = 605
  integer, parameter :: nGC_4798 = 606
  integer, parameter :: nGC_3476 = 607
  integer, parameter :: nGC_3477 = 608
  integer, parameter :: nGC_5059 = 609
  integer, parameter :: nGC_3366 = 610
  integer, parameter :: nGC_5667 = 611
  integer, parameter :: nGC_5666 = 612
  integer, parameter :: nGC_5116 = 613
  integer, parameter :: nGC_5115 = 614
  integer, parameter :: nGC_3270 = 615
  integer, parameter :: nGC_3271 = 616
  integer, parameter :: nGC_3272 = 617
  integer, parameter :: nGC_3273 = 618
  integer, parameter :: nGC_3274 = 619
  integer, parameter :: nGC_5709 = 620
  integer, parameter :: nGC_3279 = 621
  integer, parameter :: nGC_3363 = 622
  integer, parameter :: nGC_4729 = 623
  integer, parameter :: nGC_376 = 624
  integer, parameter :: nGC_3405 = 625
  integer, parameter :: nGC_3404 = 626
  integer, parameter :: nGC_3403 = 627
  integer, parameter :: nGC_3402 = 628
  integer, parameter :: nGC_4759 = 629
  integer, parameter :: nGC_4752 = 630
  integer, parameter :: nGC_4750 = 631
  integer, parameter :: nGC_3242 = 632
  integer, parameter :: nGC_7692 = 633
  integer, parameter :: nGC_7691 = 634
  integer, parameter :: nGC_5203 = 635
  integer, parameter :: nGC_6501 = 636
  integer, parameter :: nGC_6505 = 637
  integer, parameter :: nGC_6506 = 638
  integer, parameter :: nGC_5364 = 639
  integer, parameter :: nGC_5365 = 640
  integer, parameter :: nGC_9554 = 641
  integer, parameter :: nGC_4910 = 642
  integer, parameter :: nGC_3338 = 643
  integer, parameter :: nGC_2128 = 644
  integer, parameter :: nGC_9382 = 645
  integer, parameter :: nGC_4863 = 646
  integer, parameter :: nGC_4865 = 647
  integer, parameter :: nGC_4867 = 648
  integer, parameter :: nGC_5097 = 649
  integer, parameter :: nGC_5094 = 650
  integer, parameter :: nGC_5098 = 651
  integer, parameter :: nGC_5099 = 652
  integer, parameter :: nGC_5745 = 653
  integer, parameter :: nGC_4827 = 654
  integer, parameter :: nGC_3339 = 655
  integer, parameter :: nGC_4911 = 656
  integer, parameter :: nGC_4912 = 657
  integer, parameter :: nGC_4913 = 658
  integer, parameter :: nGC_3331 = 659
  integer, parameter :: nGC_3330 = 660
  integer, parameter :: nGC_3332 = 661
  integer, parameter :: nGC_6861 = 662
  integer, parameter :: nGC_6208 = 663
  integer, parameter :: nGC_3449 = 664
  integer, parameter :: nGC_3448 = 665
  integer, parameter :: nGC_8370 = 666
  integer, parameter :: nGC_3298 = 667
  integer, parameter :: nGC_3299 = 668
  integer, parameter :: nGC_3296 = 669
  integer, parameter :: nGC_3297 = 670
  integer, parameter :: nGC_3294 = 671
  integer, parameter :: nGC_3295 = 672
  integer, parameter :: nGC_3292 = 673
  integer, parameter :: nGC_3293 = 674
  integer, parameter :: nGC_3290 = 675
  integer, parameter :: nGC_3291 = 676
  integer, parameter :: nGC_6104 = 677
  integer, parameter :: nGC_5068 = 678
  integer, parameter :: nGC_5060 = 679
  integer, parameter :: nGC_5731 = 680
  integer, parameter :: nGC_5329 = 681
  integer, parameter :: nGC_4764 = 682
  integer, parameter :: nGC_4768 = 683
  integer, parameter :: nGC_5496 = 684
  integer, parameter :: nGC_5497 = 685
  integer, parameter :: nGC_5396 = 686
  integer, parameter :: nGC_5259 = 687
  integer, parameter :: nGC_5392 = 688
  integer, parameter :: nGC_5256 = 689
  integer, parameter :: nGC_3369 = 690
  integer, parameter :: nGC_4812 = 691
  integer, parameter :: nGC_4816 = 692
  integer, parameter :: nGC_5103 = 693
  integer, parameter :: nGC_3364 = 694
  integer, parameter :: nGC_3249 = 695
  integer, parameter :: nGC_3248 = 696
  integer, parameter :: nGC_3360 = 697
  integer, parameter :: nGC_3247 = 698
  integer, parameter :: nGC_3241 = 699
  integer, parameter :: nGC_3240 = 700
  integer, parameter :: nGC_3368 = 701
  integer, parameter :: nGC_9121 = 702
  integer, parameter :: nGC_4731 = 703
  integer, parameter :: nGC_4732 = 704
  integer, parameter :: nGC_4733 = 705
  integer, parameter :: nGC_3414 = 706
  integer, parameter :: nGC_3415 = 707
  integer, parameter :: nGC_5037 = 708
  integer, parameter :: nGC_5465 = 709
  integer, parameter :: nGC_8307 = 710
  integer, parameter :: nGC_5607 = 711
  integer, parameter :: nGC_5606 = 712
  integer, parameter :: nGC_6090 = 713
  integer, parameter :: nGC_5957 = 714
  integer, parameter :: nGC_5211 = 715
  integer, parameter :: nGC_4783 = 716
  integer, parameter :: nGC_5214 = 717
  integer, parameter :: nGC_4784 = 718
  integer, parameter :: nGC_5217 = 719
  integer, parameter :: nGC_4788 = 720
  integer, parameter :: nGC_9015 = 721
  integer, parameter :: nGC_8429 = 722
  integer, parameter :: nGC_4855 = 723
  integer, parameter :: nGC_3300 = 724
  integer, parameter :: nGC_4857 = 725
  integer, parameter :: nGC_4856 = 726
  integer, parameter :: nGC_4997 = 727
  integer, parameter :: nGC_4858 = 728
  integer, parameter :: nGC_3359 = 729
  integer, parameter :: nGC_3358 = 730
  integer, parameter :: nGC_3356 = 731
  integer, parameter :: nGC_3353 = 732
  integer, parameter :: nGC_3350 = 733
  integer, parameter :: nGC_9160 = 734
  integer, parameter :: nGC_4921 = 735
  integer, parameter :: nGC_4922 = 736
  integer, parameter :: nGC_4927 = 737
  integer, parameter :: nGC_3322 = 738
  integer, parameter :: nGC_3320 = 739
  integer, parameter :: nGC_3321 = 740
  integer, parameter :: nGC_3326 = 741
  integer, parameter :: nGC_3324 = 742
  integer, parameter :: nGC_5437 = 743
  integer, parameter :: nGC_3450 = 744
  integer, parameter :: nGC_3451 = 745
  integer, parameter :: nGC_3457 = 746
  integer, parameter :: nGC_3458 = 747
  integer, parameter :: nGC_3459 = 748
  integer, parameter :: nGC_5172 = 749
  integer, parameter :: nGC_5174 = 750
  integer, parameter :: nGC_5179 = 751
  integer, parameter :: nGC_5178 = 752
  integer, parameter :: nGC_4776 = 753
  integer, parameter :: nGC_4777 = 754
  integer, parameter :: nGC_5388 = 755
  integer, parameter :: nGC_4894 = 756
  integer, parameter :: nGC_5911 = 757
  integer, parameter :: nGC_5082 = 758
  integer, parameter :: nGC_6704 = 759
  integer, parameter :: nGC_6066 = 760
  integer, parameter :: nGC_6067 = 761
  integer, parameter :: nGC_4751 = 762
  integer, parameter :: nGC_4802 = 763
  integer, parameter :: nGC_9297 = 764
  integer, parameter :: nGC_5196 = 765
  integer, parameter :: nGC_4755 = 766
  integer, parameter :: nGC_5944 = 767
  integer, parameter :: nGC_5013 = 768
  integer, parameter :: nGC_5880 = 769
  integer, parameter :: nGC_5322 = 770
  integer, parameter :: nGC_5302 = 771
  integer, parameter :: nGC_5561 = 772
  integer, parameter :: nGC_4790 = 773
  integer, parameter :: nGC_6444 = 774
  integer, parameter :: nGC_6445 = 775
  integer, parameter :: nGC_7202 = 776
  integer, parameter :: nGC_5014 = 777
  integer, parameter :: nGC_4895 = 778
  integer, parameter :: nGC_9574 = 779
  integer, parameter :: nGC_5474 = 780
  integer, parameter :: nGC_4914 = 781
  integer, parameter :: nGC_4734 = 782
  integer, parameter :: nGC_5289 = 783
  integer, parameter :: nGC_5156 = 784
  integer, parameter :: nGC_4872 = 785
  integer, parameter :: nGC_4871 = 786
  integer, parameter :: nGC_4741 = 787
  integer, parameter :: nGC_9156 = 788
  integer, parameter :: nGC_8431 = 789
  integer, parameter :: nGC_4765 = 790
  integer, parameter :: nGC_5538 = 791
  integer, parameter :: nGC_4823 = 792
  integer, parameter :: nGC_6620 = 793
  integer, parameter :: nGC_4887 = 794
  integer, parameter :: nGC_5498 = 795
  integer, parameter :: nGC_5041 = 796
  integer, parameter :: nGC_4883 = 797
  integer, parameter :: nGC_5081 = 798
  integer, parameter :: nGC_5233 = 799
  integer, parameter :: nGC_8092 = 800
  integer, parameter :: nGC_5539 = 801
  integer, parameter :: nGC_5000 = 802
  integer, parameter :: nGC_5069 = 803
  integer, parameter :: nGC_5393 = 804
  integer, parameter :: nGC_5427 = 805
  integer, parameter :: nGC_7984 = 806
  integer, parameter :: nGC_5426 = 807
  integer, parameter :: nGC_5438 = 808
  integer, parameter :: nGC_5734 = 809
  integer, parameter :: nGC_5866 = 810
  integer, parameter :: nGC_4882 = 811
  integer, parameter :: nGC_5454 = 812
  integer, parameter :: nGC_8763 = 813
  integer, parameter :: nGC_4789 = 814
  integer, parameter :: nGC_5297 = 815
  integer, parameter :: nGC_5562 = 816
  integer, parameter :: nGC_5540 = 817
  integer, parameter :: nGC_8764 = 818
  integer, parameter :: nGC_8767 = 819
  integer, parameter :: nGC_8768 = 820
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
