!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 19:55             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_3421) = -cima*dye_QED1
      coupl(nGC_3420) = -cima*dye_QED3
      coupl(nGC_3422) = -cima*dym_QED3
      coupl(nGC_3425) = -cima*dytau_QED1
      coupl(nGC_3427) = coupl(nGC_3222)*dye_QED1
      coupl(nGC_3426) = coupl(nGC_3222)*dye_QED3
      coupl(nGC_3409) = coupl(nGC_3226)*dys_QED1
      coupl(nGC_3408) = coupl(nGC_3226)*dys_QED3
      coupl(nGC_5537) = coupl(nGC_29)*dZZA_QED2
      coupl(nGC_GG) = cima*dt_QED1/vev
      coupl(nGC_3469) = -cima*dMC
      coupl(nGC_3468) = -cima*dMU
      coupl(nGC_3465) = -cima*dME
      coupl(nGC_3467) = -cima*dMTA
      coupl(nGC_3466) = -cima*dMM
      coupl(nGC_3461) = coupl(nGC_3228)*dyt_QED1
      coupl(nGC_3460) = coupl(nGC_3228)*dyt_QED3
      coupl(nGC_3463) = -cima*dMH2_QED2
      coupl(nGC_3454) = coupl(nGC_3229)*dyt_QED3
      coupl(nGC_3423) = -cima*dym_QED1
      coupl(nGC_4978) = coupl(nGC_3425) + coupl(nGC_81)*dZnu_tauL/2d0 + coupl( &
                        nGC_81)*dZtauMinusR/2d0
      coupl(nGC_3424) = -cima*dytau_QED3
      coupl(nGC_4873) = coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_5127) = coupl(nGC_23)*(dZdL + dZuL)/2d0
      coupl(nGC_4904) = coupl(nGC_1)*dZAZ_QED2/2d0
      coupl(nGC_3309) = 5d0*cima*coupl(nGC_23)**4d0*(-Nc - 1d0)/(8d0*pi**2d0)
      coupl(nGC_3436) = coupl(nGC_3233)*dytau_QED3
      coupl(nGC_3437) = coupl(nGC_3233)*dytau_QED1
      coupl(nGC_3434) = coupl(nGC_3232)*dytau_QED3
      coupl(nGC_3435) = coupl(nGC_3232)*dytau_QED1
      coupl(nGC_3432) = coupl(nGC_3221)*dym_QED3
      coupl(nGC_3433) = coupl(nGC_3221)*dym_QED1
      coupl(nGC_3430) = coupl(nGC_3223)*dym_QED3
      coupl(nGC_3431) = coupl(nGC_3223)*dym_QED1
      coupl(nGC_3438) = coupl(nGC_3220)*dye_QED3
      coupl(nGC_3439) = coupl(nGC_3220)*dye_QED1
      coupl(nGC_3288) = cima*(Nc*coupl(nGC_1)**4d0 + Nc*coupl(nGC_2)**4d0 +    &
                        coupl(nGC_4)**4d0)/(4d0*pi**2d0)
      coupl(nGC_5017) = coupl(nGC_23)*(dZnu_tauL + dZtauMinusL)/2d0
      coupl(nGC_5724) = coupl(nGC_11)*dZuL
      coupl(nGC_5245) = coupl(nGC_11)*dZbR
      coupl(nGC_5244) = coupl(nGC_11)*dZbL
      coupl(nGC_5873) = coupl(nGC_4)*dZtauMinusL
      coupl(nGC_5875) = coupl(nGC_4)*dZtauMinusR
      coupl(nGC_7262) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_3371) = coupl(nGC_3161)*dZee_QED2 + coupl(nGC_3162)*dsw_QED2 + &
                        coupl(nGC_3163)*dcw_QED2
      coupl(nGC_3370) = coupl(nGC_3180)*dZee_QED2 + coupl(nGC_3181)*dsw_QED2 + &
                        coupl(nGC_3182)*dcw_QED2
      coupl(nGC_3472) = -cima*dMS
      coupl(nGC_3473) = -cima*dMB
      coupl(nGC_3470) = -cima*dMT
      coupl(nGC_3471) = -cima*dMD
      coupl(nGC_3474) = cima*dMZ2_QED2
      coupl(nGC_3475) = cima*dMW2_QED2
      coupl(nGC_5464) = coupl(nGC_3474) + coupl(nGC_MZ)*dZZ_QED2
      coupl(nGC_3275) = coupl(nGC_11)**3d0*sq2**3d0/(16d0*pi**2d0)
      coupl(nGC_5461) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_3278) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_1)**2d0 + 3d0*Nc&
                        *coupl(nGC_1)*coupl(nGC_2) - Nc*coupl(nGC_2)**2d0 -    &
                        coupl(nGC_4)**2d0)/(8d0*pi**2d0)
      coupl(nGC_3407) = coupl(nGC_3227)*dys_QED1
      coupl(nGC_3406) = coupl(nGC_3227)*dys_QED3
      coupl(nGC_3401) = -cima*dyb_QED1
      coupl(nGC_3400) = -cima*dyb_QED3
      coupl(nGC_5024) = coupl(nGC_23)*(dZeMinusL + dZnu_eL)/2d0
      coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
      coupl(nGC_4758) = coupl(nGC_23)*(dZcL + dZsL)/2d0
      coupl(nGC_5205) = coupl(nGC_MI)*dZnu_eR
      coupl(nGC_5204) = coupl(nGC_MI)*dZnu_eL
      coupl(nGC_9552) = -coupl(nGC_3275)
      coupl(nGC_8430) = coupl(nGC_MI)*dZeMinusR
      coupl(nGC_5422) = coupl(nGC_59)*(dZcL + dZcR)/2d0
      coupl(nGC_4989) = coupl(nGC_1)*dZdR
      coupl(nGC_5588) = coupl(nGC_4)*dZmuMinusR
      coupl(nGC_4985) = coupl(nGC_52)*dZZA_QED2/2d0
      coupl(nGC_4983) = coupl(nGC_1)*dZsL
      coupl(nGC_4981) = coupl(nGC_1)*dZsR
      coupl(nGC_4864) = coupl(nGC_1)*dZbL
      coupl(nGC_4866) = coupl(nGC_1)*dZbR
      coupl(nGC_5096) = coupl(nGC_40)*dZZA_QED2/2d0
      coupl(nGC_5095) = coupl(nGC_4)*dZeMinusL
      coupl(nGC_5093) = coupl(nGC_4)*dZeMinusR
      coupl(nGC_5090) = coupl(nGC_40)*dZtauMinusL
      coupl(nGC_6860) = coupl(nGC_MI)*dZbR
      coupl(nGC_3440) = coupl(nGC_3224)*dym_QED3
      coupl(nGC_3447) = coupl(nGC_3236)*dyup_QED1
      coupl(nGC_3416) = coupl(nGC_3225)*dys_QED3
      coupl(nGC_3446) = coupl(nGC_3236)*dyup_QED3
      coupl(nGC_3417) = coupl(nGC_3225)*dys_QED1
      coupl(nGC_3445) = coupl(nGC_3234)*dyup_QED1
      coupl(nGC_3441) = coupl(nGC_3224)*dym_QED1
      coupl(nGC_3410) = coupl(nGC_3206)*dyb_QED3
      coupl(nGC_3444) = coupl(nGC_3234)*dyup_QED3
      coupl(nGC_5584) = coupl(nGC_4)*dZmuMinusL
      coupl(nGC_3335) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_3334) = -cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0*Nc)
      coupl(nGC_3337) = 3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0)
      coupl(nGC_3336) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_3333) = -5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0)
      coupl(nGC_3442) = coupl(nGC_3231)*dytau_QED3
      coupl(nGC_5733) = coupl(nGC_MI)*dZdR
      coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
      coupl(nGC_5730) = coupl(nGC_MI)*dZdL
      coupl(nGC_5637) = coupl(nGC_41)*dZnu_muL
      coupl(nGC_5328) = coupl(nGC_41)*dZnu_eL
      coupl(nGC_5399) = coupl(nGC_11)*dZtR
      coupl(nGC_5723) = coupl(nGC_11)*dZuR
      coupl(nGC_5192) = coupl(nGC_23)*(dZmuMinusL + dZnu_muL)/2d0
      coupl(nGC_5780) = coupl(nGC_11)*dZsL
      coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
      coupl(nGC_4951) = coupl(nGC_23)*(dZbL + dZtL)/2d0
      coupl(nGC_4956) = coupl(nGC_3370) + coupl(nGC_42)*dZA_QED2/2d0 + coupl(  &
                        nGC_42)*dZZ_QED2/2d0 + coupl(nGC_45)*dZZA_QED2/2d0 +   &
                        coupl(nGC_6)*dZAZ_QED2/2d0
      coupl(nGC_3399) = cima*dyt_QED1
      coupl(nGC_3398) = cima*dyt_QED3
      coupl(nGC_3393) = cima*dyup_QED1
      coupl(nGC_3392) = cima*dyup_QED3
      coupl(nGC_3391) = -cima*dydo_QED1
      coupl(nGC_3390) = -cima*dydo_QED3
      coupl(nGC_3397) = -cima*dys_QED1
      coupl(nGC_3396) = -cima*dys_QED3
      coupl(nGC_3395) = cima*dyc_QED1
      coupl(nGC_3394) = cima*dyc_QED3
      coupl(nGC_3367) = coupl(nGC_3112)*dZee_QED2 + coupl(nGC_3113)*dsw_QED2
      coupl(nGC_5779) = coupl(nGC_11)*dZsR
      coupl(nGC_3365) = coupl(nGC_3118)*dZee_QED2 + coupl(nGC_3119)*dsw_QED2
      coupl(nGC_3361) = coupl(nGC_3135)*dZee_QED2 + coupl(nGC_3136)*dsw_QED2
      coupl(nGC_3245) = cima*(-Nc*coupl(nGC_1)**2d0 - Nc*coupl(nGC_2)**2d0 -   &
                        coupl(nGC_4)**2d0)/(8d0*pi**2d0)
      coupl(nGC_3244) = cima*coupl(nGC_23)**2d0*(Nc*cMB**2d0 + Nc*cMC**2d0 + Nc&
                        *cMD**2d0 + Nc*cMS**2d0 + Nc*cMT**2d0 + Nc*cMU**2d0 +  &
                        cME**2d0 + cMM**2d0 + cMTA**2d0)/(16d0*pi**2d0)
      coupl(nGC_3246) = cima*(Nc*cMB**2d0*coupl(nGC_1)**2d0 + Nc*cMC**2d0*coupl&
                        (nGC_2)**2d0 + Nc*cMD**2d0*coupl(nGC_1)**2d0 + Nc*cMS**&
                        2d0*coupl(nGC_1)**2d0 + Nc*cMT**2d0*coupl(nGC_2)**2d0  &
                         + Nc*cMU**2d0*coupl(nGC_2)**2d0 + cME**2d0*coupl(nGC_4&
                        )**2d0 + cMM**2d0*coupl(nGC_4)**2d0 + cMTA**2d0*coupl( &
                        nGC_4)**2d0)/(4d0*pi**2d0)
      coupl(nGC_3243) = cima*coupl(nGC_23)**2d0*(-Nc - 1d0)/(16d0*pi**2d0)
      coupl(nGC_4739) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_5)*dZAZ_QED2/2d0
      coupl(nGC_4730) = coupl(nGC_2)*dZuR
      coupl(nGC_6859) = coupl(nGC_MB)*(dZbL + dZbR)/2d0
      coupl(nGC_6858) = coupl(nGC_MI)*dZbL
      coupl(nGC_3418) = coupl(nGC_3208)*dyb_QED3
      coupl(nGC_3419) = coupl(nGC_3208)*dyb_QED1
      coupl(nGC_3411) = coupl(nGC_3206)*dyb_QED1
      coupl(nGC_5038) = coupl(nGC_3391) + coupl(nGC_61)*dZdR/2d0 + coupl(nGC_61&
                        )*dZuL/2d0
      coupl(nGC_3276) = -coupl(nGC_11)**3d0*sq2**3d0/(16d0*pi**2d0)
      coupl(nGC_3277) = cima*coupl(nGC_23)**2d0*(3d0*Nc*coupl(nGC_1)**2d0 - 5d0&
                        *Nc*coupl(nGC_1)*coupl(nGC_2) + 3d0*Nc*coupl(nGC_2)**  &
                        2d0 + 3d0*coupl(nGC_4)**2d0)/(8d0*pi**2d0)
      coupl(nGC_3362) = coupl(nGC_3133)*dZee_QED2 + coupl(nGC_3134)*dsw_QED2
      coupl(nGC_5210) = coupl(nGC_MI)*dZtL
      coupl(nGC_5213) = coupl(nGC_MI)*dZtR
      coupl(nGC_4787) = coupl(nGC_29)*dZAZ_QED2
      coupl(nGC_6518) = coupl(nGC_41)*dZnu_tauL
      coupl(nGC_8428) = coupl(nGC_MI)*dZeMinusL
      coupl(nGC_4854) = coupl(nGC_40)*dZeMinusL
      coupl(nGC_4851) = coupl(nGC_36)*dZeMinusR
      coupl(nGC_4728) = coupl(nGC_2)*dZuL
      coupl(nGC_4991) = coupl(nGC_1)*dZdL
      coupl(nGC_3357) = -cima*dlam_QED4
      coupl(nGC_3355) = coupl(nGC_3107)*dlam_QED4
      coupl(nGC_3354) = coupl(nGC_3183)*dZee_QED2 + coupl(nGC_3184)*dsw_QED2 + &
                        coupl(nGC_3185)*dMZ2_QED2 + coupl(nGC_3186)*dcw_QED2
      coupl(nGC_3443) = coupl(nGC_3231)*dytau_QED1
      coupl(nGC_3352) = coupl(nGC_3149)*dsw_QED2 + coupl(nGC_3150)*dMW2_QED2 + &
                        coupl(nGC_3151)*dZee_QED2
      coupl(nGC_3351) = coupl(nGC_3125)*dZee_QED2 + coupl(nGC_3126)*dsw_QED2 + &
                        coupl(nGC_3127)*dcw_QED2
      coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
      coupl(nGC_3328) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_3329) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_3327) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_3452) = coupl(nGC_3230)*dyt_QED3
      coupl(nGC_3453) = coupl(nGC_3230)*dyt_QED1
      coupl(nGC_3455) = coupl(nGC_3229)*dyt_QED1
      coupl(nGC_3456) = coupl(nGC_3235)*dyup_QED3
      coupl(nGC_3412) = coupl(nGC_3207)*dyb_QED3
      coupl(nGC_3413) = coupl(nGC_3207)*dyb_QED1
      coupl(nGC_6367) = coupl(nGC_2)*dZcL
      coupl(nGC_6369) = coupl(nGC_2)*dZcR
      coupl(nGC_4772) = coupl(nGC_24)*dZZ_QED2/2d0 + coupl(nGC_3351) + coupl(  &
                        nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_4773) = -coupl(nGC_4772)
      coupl(nGC_6207) = coupl(nGC_3418) + coupl(nGC_55)*dZH_QED2/2d0
      coupl(nGC_6203) = coupl(nGC_55)*(dZbL + dZbR)/2d0
      coupl(nGC_5382) = coupl(nGC_3431) + coupl(nGC_72)*dZmuMinusL/2d0 + coupl(&
                        nGC_72)*dZmuMinusR/2d0
      coupl(nGC_5381) = coupl(nGC_3433) + coupl(nGC_70)*dZmuMinusL/2d0 + coupl(&
                        nGC_70)*dZmuMinusR/2d0
      coupl(nGC_5910) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_7161) = coupl(nGC_MI)*dZnu_muL
      coupl(nGC_7162) = coupl(nGC_MI)*dZnu_muR
      coupl(nGC_5183) = coupl(nGC_36)*dZmuMinusR
      coupl(nGC_5186) = coupl(nGC_40)*dZmuMinusL
      coupl(nGC_5189) = coupl(nGC_3357) + coupl(nGC_GPGMGPGM)
      coupl(nGC_3323) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_55)**2d0 + &
                        coupl(nGC_59)**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_75 &
                        )**2d0 + coupl(nGC_79)**2d0 + coupl(nGC_87)**2d0)/(16d0&
                        *pi**2d0*Nc)
      coupl(nGC_4803) = coupl(nGC_46)*dZZA_QED2/2d0
      coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
      coupl(nGC_3388) = coupl(nGC_3173)*dZee_QED2 + coupl(nGC_3174)*dsw_QED2 + &
                        coupl(nGC_3175)*dcw_QED2
      coupl(nGC_3389) = coupl(nGC_3155)*dZee_QED2 + coupl(nGC_3156)*dsw_QED2 + &
                        coupl(nGC_3157)*dcw_QED2
      coupl(nGC_3380) = coupl(nGC_3092)*dZee_QED2
      coupl(nGC_3381) = coupl(nGC_3093)*dZee_QED2
      coupl(nGC_3382) = coupl(nGC_112)*dZgs_QCD2
      coupl(nGC_3383) = coupl(nGC_3123)*dZee_QED2 + coupl(nGC_3124)*dsw_QED2
      coupl(nGC_3384) = coupl(nGC_3158)*dZee_QED2 + coupl(nGC_3159)*dsw_QED2 + &
                        coupl(nGC_3160)*dcw_QED2
      coupl(nGC_3385) = coupl(nGC_3167)*dZee_QED2 + coupl(nGC_3168)*dsw_QED2 + &
                        coupl(nGC_3169)*dcw_QED2
      coupl(nGC_3386) = coupl(nGC_3164)*dZee_QED2 + coupl(nGC_3165)*dsw_QED2 + &
                        coupl(nGC_3166)*dcw_QED2
      coupl(nGC_3387) = coupl(nGC_3152)*dZee_QED2 + coupl(nGC_3153)*dsw_QED2 + &
                        coupl(nGC_3154)*dcw_QED2
      coupl(nGC_5441) = coupl(nGC_2)*dZtR
      coupl(nGC_3312) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5443) = coupl(nGC_2)*dZtL
      coupl(nGC_3259) = (-Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - Nc*cMC*coupl&
                        (nGC_2)**2d0*coupl(nGC_59) - Nc*cMD*coupl(nGC_1)**2d0* &
                        coupl(nGC_63) - Nc*cMS*coupl(nGC_1)**2d0*coupl(nGC_75  &
                        ) - Nc*cMT*coupl(nGC_2)**2d0*coupl(nGC_79) - Nc*cMU*   &
                        coupl(nGC_2)**2d0*coupl(nGC_87) - cME*coupl(nGC_4)**2d0&
                        *coupl(nGC_67) - cMM*coupl(nGC_4)**2d0*coupl(nGC_71) - &
                        cMTA*coupl(nGC_4)**2d0*coupl(nGC_83))/(4d0*pi**2d0)
      coupl(nGC_3317) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_3316) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_3315) = cima*(-4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_55)**2d0 -  &
                        4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_63)**2d0 - 4d0*Nc* &
                        coupl(nGC_34)**2d0*coupl(nGC_75)**2d0 + 5d0*Nc*coupl(  &
                        nGC_34)*coupl(nGC_38)*coupl(nGC_55)**2d0 + 5d0*Nc*coupl&
                        (nGC_34)*coupl(nGC_38)*coupl(nGC_63)**2d0 + 5d0*Nc*    &
                        coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75)**2d0 - 4d0*Nc&
                        *coupl(nGC_35)**2d0*coupl(nGC_59)**2d0 - 4d0*Nc*coupl( &
                        nGC_35)**2d0*coupl(nGC_79)**2d0 - 4d0*Nc*coupl(nGC_35  &
                        )**2d0*coupl(nGC_87)**2d0 + 5d0*Nc*coupl(nGC_35)*coupl(&
                        nGC_39)*coupl(nGC_59)**2d0 + 5d0*Nc*coupl(nGC_35)*coupl&
                        (nGC_39)*coupl(nGC_79)**2d0 + 5d0*Nc*coupl(nGC_35)*    &
                        coupl(nGC_39)*coupl(nGC_87)**2d0 - 4d0*Nc*coupl(nGC_38 &
                        )**2d0*coupl(nGC_55)**2d0 - 4d0*Nc*coupl(nGC_38)**2d0* &
                        coupl(nGC_63)**2d0 - 4d0*Nc*coupl(nGC_38)**2d0*coupl(  &
                        nGC_75)**2d0 - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_59  &
                        )**2d0 - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_79)**2d0  &
                         - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_87)**2d0 - 4d0* &
                        coupl(nGC_36)**2d0*coupl(nGC_67)**2d0 - 4d0*coupl(     &
                        nGC_36)**2d0*coupl(nGC_71)**2d0 - 4d0*coupl(nGC_36)**  &
                        2d0*coupl(nGC_83)**2d0 + 5d0*coupl(nGC_36)*coupl(nGC_40&
                        )*coupl(nGC_67)**2d0 + 5d0*coupl(nGC_36)*coupl(nGC_40)*&
                        coupl(nGC_71)**2d0 + 5d0*coupl(nGC_36)*coupl(nGC_40)*  &
                        coupl(nGC_83)**2d0 - 4d0*coupl(nGC_40)**2d0*coupl(     &
                        nGC_67)**2d0 - 4d0*coupl(nGC_40)**2d0*coupl(nGC_71)**  &
                        2d0 - 4d0*coupl(nGC_40)**2d0*coupl(nGC_83)**2d0)/(12d0*&
                        pi**2d0)
      coupl(nGC_3314) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_38)**2d0 + 3d0* &
                        Nc*coupl(nGC_38)*coupl(nGC_39) - Nc*coupl(nGC_39)**2d0 &
                         - coupl(nGC_40)**2d0 + 3d0*coupl(nGC_40)*coupl(nGC_41 &
                        ) - coupl(nGC_41)**2d0)/(8d0*pi**2d0)
      coupl(nGC_5449) = coupl(nGC_87)*(dZuL + dZuR)/2d0
      coupl(nGC_3253) = cima*coupl(nGC_11)**2d0*sq2**2d0/(16d0*pi**2d0*Nc)
      coupl(nGC_3250) = cima*(Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_34) + Nc*cMB**&
                        2d0*coupl(nGC_1)*coupl(nGC_38) + Nc*cMC**2d0*coupl(    &
                        nGC_2)*coupl(nGC_35) + Nc*cMC**2d0*coupl(nGC_2)*coupl( &
                        nGC_39) + Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_34) + Nc* &
                        cMD**2d0*coupl(nGC_1)*coupl(nGC_38) + Nc*cMS**2d0*coupl&
                        (nGC_1)*coupl(nGC_34) + Nc*cMS**2d0*coupl(nGC_1)*coupl(&
                        nGC_38) + Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_35) + Nc* &
                        cMT**2d0*coupl(nGC_2)*coupl(nGC_39) + Nc*cMU**2d0*coupl&
                        (nGC_2)*coupl(nGC_35) + Nc*cMU**2d0*coupl(nGC_2)*coupl(&
                        nGC_39) + cME**2d0*coupl(nGC_36)*coupl(nGC_4) + cME**  &
                        2d0*coupl(nGC_4)*coupl(nGC_40) + cMM**2d0*coupl(nGC_36 &
                        )*coupl(nGC_4) + cMM**2d0*coupl(nGC_4)*coupl(nGC_40) + &
                        cMTA**2d0*coupl(nGC_36)*coupl(nGC_4) + cMTA**2d0*coupl(&
                        nGC_4)*coupl(nGC_40))/(8d0*pi**2d0)
      coupl(nGC_3251) = -cima*coupl(nGC_11)**2d0*sq2**2d0/(16d0*pi**2d0)
      coupl(nGC_3256) = (Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + Nc*coupl(nGC_1)* &
                        coupl(nGC_57)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_61)**2d0&
                         + Nc*coupl(nGC_1)*coupl(nGC_73)**2d0 + Nc*coupl(nGC_1 &
                        )*coupl(nGC_77)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_85)** &
                        2d0 - Nc*coupl(nGC_2)*coupl(nGC_53)**2d0 - Nc*coupl(   &
                        nGC_2)*coupl(nGC_57)**2d0 - Nc*coupl(nGC_2)*coupl(     &
                        nGC_61)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_73)**2d0 - Nc*&
                        coupl(nGC_2)*coupl(nGC_77)**2d0 - Nc*coupl(nGC_2)*coupl&
                        (nGC_85)**2d0 + coupl(nGC_4)*coupl(nGC_65)**2d0 + coupl&
                        (nGC_4)*coupl(nGC_69)**2d0 + coupl(nGC_4)*coupl(nGC_81 &
                        )**2d0)/(24d0*pi**2d0)
      coupl(nGC_3257) = coupl(nGC_23)**2d0*(Nc*coupl(nGC_1) - Nc*coupl(nGC_2   &
                        ) + coupl(nGC_4))/(8d0*pi**2d0)
      coupl(nGC_3254) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_3255) = Nc*coupl(nGC_23)*(-cMB*coupl(nGC_2)*coupl(nGC_53) - cMC&
                        *coupl(nGC_1)*coupl(nGC_57) - cMD*coupl(nGC_2)*coupl(  &
                        nGC_61) - cMS*coupl(nGC_2)*coupl(nGC_73) - cMT*coupl(  &
                        nGC_1)*coupl(nGC_77) - cMU*coupl(nGC_1)*coupl(nGC_85   &
                        ))/(16d0*pi**2d0)
      coupl(nGC_3429) = coupl(nGC_3219)*dye_QED1
      coupl(nGC_3428) = coupl(nGC_3219)*dye_QED3
      coupl(nGC_5001) = coupl(nGC_I)*dZH_QED2
      coupl(nGC_5004) = coupl(nGC_3463) + coupl(nGC_MH)*dZH_QED2
      coupl(nGC_5007) = coupl(nGC_20)*dZH_QED2/2d0 + coupl(nGC_20)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3367)
      coupl(nGC_6122) = coupl(nGC_3354) + coupl(nGC_44)*dZH_QED2/2d0
      coupl(nGC_6088) = coupl(nGC_75)*(dZsL + dZsR)/2d0
      coupl(nGC_6089) = coupl(nGC_3416) + coupl(nGC_75)*dZH_QED2/2d0
      coupl(nGC_8950) = -3d0*coupl(nGC_3309)/5d0
      coupl(nGC_5229) = coupl(nGC_MI)*dZtauMinusL
      coupl(nGC_5340) = coupl(nGC_39)*dZuL
      coupl(nGC_4797) = coupl(nGC_3397) + coupl(nGC_73)*dZcL/2d0 + coupl(nGC_73&
                        )*dZsR/2d0
      coupl(nGC_5220) = coupl(nGC_35)*dZtR
      coupl(nGC_5208) = coupl(nGC_3371) + coupl(nGC_37)*dZH_QED2/2d0 + coupl(  &
                        nGC_37)*dZZ_QED2/2d0
      coupl(nGC_7201) = coupl(nGC_MI)*dZuR
      coupl(nGC_6989) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_6988) = coupl(nGC_MI)*dZmuMinusL
      coupl(nGC_4846) = coupl(nGC_3407) + coupl(nGC_74)*dZsL/2d0 + coupl(nGC_74&
                        )*dZsR/2d0
      coupl(nGC_4847) = coupl(nGC_3409) + coupl(nGC_76)*dZsL/2d0 + coupl(nGC_76&
                        )*dZsR/2d0
      coupl(nGC_7766) = coupl(nGC_MI)*dZAZ_QED2/2d0
      coupl(nGC_7767) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_4848) = coupl(nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_7765) = coupl(nGC_MI)*dZZA_QED2/2d0
      coupl(nGC_3348) = coupl(nGC_3143)*dsw_QED2 + coupl(nGC_3144)*dMW2_QED2 + &
                        coupl(nGC_3145)*dZee_QED2
      coupl(nGC_3349) = coupl(nGC_3140)*dsw_QED2 + coupl(nGC_3141)*dMW2_QED2 + &
                        coupl(nGC_3142)*dZee_QED2
      coupl(nGC_3344) = coupl(nGC_3137)*dZee_QED2 + coupl(nGC_3138)*dsw_QED2 + &
                        coupl(nGC_3139)*dcw_QED2
      coupl(nGC_3345) = coupl(nGC_3120)*dZee_QED2 + coupl(nGC_3121)*dsw_QED2 + &
                        coupl(nGC_3122)*dcw_QED2
      coupl(nGC_3346) = coupl(nGC_3096)*dZee_QED2
      coupl(nGC_3347) = coupl(nGC_3108)*dMW2_QED2 + coupl(nGC_3109)*dZee_QED2
      coupl(nGC_3340) = coupl(nGC_3094)*dZee_QED2
      coupl(nGC_3341) = coupl(nGC_3095)*dZee_QED2
      coupl(nGC_3342) = coupl(nGC_3128)*dZee_QED2 + coupl(nGC_3129)*dsw_QED2 + &
                        coupl(nGC_3130)*dcw_QED2
      coupl(nGC_3343) = coupl(nGC_3114)*dZee_QED2 + coupl(nGC_3115)*dsw_QED2
      coupl(nGC_3313) = cima*coupl(nGC_23)**2d0*(3d0*Nc*coupl(nGC_38)**2d0 -   &
                        5d0*Nc*coupl(nGC_38)*coupl(nGC_39) + 3d0*Nc*coupl(     &
                        nGC_39)**2d0 + 3d0*coupl(nGC_40)**2d0 - 5d0*coupl(     &
                        nGC_40)*coupl(nGC_41) + 3d0*coupl(nGC_41)**2d0)/(8d0*pi&
                        **2d0)
      coupl(nGC_3258) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55) - Nc*&
                        cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55) - Nc*cMC* &
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) - Nc*cMC*coupl&
                        (nGC_2)*coupl(nGC_39)*coupl(nGC_59) - Nc*cMD*coupl(    &
                        nGC_1)*coupl(nGC_34)*coupl(nGC_63) - Nc*cMD*coupl(nGC_1&
                        )*coupl(nGC_38)*coupl(nGC_63) - Nc*cMS*coupl(nGC_1)*   &
                        coupl(nGC_34)*coupl(nGC_75) - Nc*cMS*coupl(nGC_1)*coupl&
                        (nGC_38)*coupl(nGC_75) - Nc*cMT*coupl(nGC_2)*coupl(    &
                        nGC_35)*coupl(nGC_79) - Nc*cMT*coupl(nGC_2)*coupl(     &
                        nGC_39)*coupl(nGC_79) - Nc*cMU*coupl(nGC_2)*coupl(     &
                        nGC_35)*coupl(nGC_87) - Nc*cMU*coupl(nGC_2)*coupl(     &
                        nGC_39)*coupl(nGC_87) - cME*coupl(nGC_36)*coupl(nGC_4)*&
                        coupl(nGC_67) - cME*coupl(nGC_4)*coupl(nGC_40)*coupl(  &
                        nGC_67) - cMM*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_71  &
                        ) - cMM*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_71) - cMTA&
                        *coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_83) - cMTA*coupl(&
                        nGC_4)*coupl(nGC_40)*coupl(nGC_83))/(8d0*pi**2d0)
      coupl(nGC_5400) = coupl(nGC_11)*dZtL
      coupl(nGC_3311) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4836) = 2d0*coupl(nGC_15)*dZH_QED2 + coupl(nGC_3355) + coupl(  &
                        nGC_HHHH)
      coupl(nGC_3310) = cima*(-4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_54)*coupl(  &
                        nGC_56) - 4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_62)*coupl&
                        (nGC_64) - 4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_74)*    &
                        coupl(nGC_76) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_38)*    &
                        coupl(nGC_54)*coupl(nGC_56) + 5d0*Nc*coupl(nGC_34)*    &
                        coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) + 5d0*Nc*    &
                        coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76 &
                        ) - 4d0*Nc*coupl(nGC_35)**2d0*coupl(nGC_58)*coupl(     &
                        nGC_60) - 4d0*Nc*coupl(nGC_35)**2d0*coupl(nGC_78)*coupl&
                        (nGC_80) - 4d0*Nc*coupl(nGC_35)**2d0*coupl(nGC_86)*    &
                        coupl(nGC_88) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_39)*    &
                        coupl(nGC_58)*coupl(nGC_60) + 5d0*Nc*coupl(nGC_35)*    &
                        coupl(nGC_39)*coupl(nGC_78)*coupl(nGC_80) + 5d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_88 &
                        ) - 4d0*Nc*coupl(nGC_38)**2d0*coupl(nGC_54)*coupl(     &
                        nGC_56) - 4d0*Nc*coupl(nGC_38)**2d0*coupl(nGC_62)*coupl&
                        (nGC_64) - 4d0*Nc*coupl(nGC_38)**2d0*coupl(nGC_74)*    &
                        coupl(nGC_76) - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_58 &
                        )*coupl(nGC_60) - 4d0*Nc*coupl(nGC_39)**2d0*coupl(     &
                        nGC_78)*coupl(nGC_80) - 4d0*Nc*coupl(nGC_39)**2d0*coupl&
                        (nGC_86)*coupl(nGC_88) - 4d0*coupl(nGC_36)**2d0*coupl( &
                        nGC_66)*coupl(nGC_68) - 4d0*coupl(nGC_36)**2d0*coupl(  &
                        nGC_70)*coupl(nGC_72) - 4d0*coupl(nGC_36)**2d0*coupl(  &
                        nGC_82)*coupl(nGC_84) + 5d0*coupl(nGC_36)*coupl(nGC_40 &
                        )*coupl(nGC_66)*coupl(nGC_68) + 5d0*coupl(nGC_36)*coupl&
                        (nGC_40)*coupl(nGC_70)*coupl(nGC_72) + 5d0*coupl(nGC_36&
                        )*coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) - 4d0*coupl&
                        (nGC_40)**2d0*coupl(nGC_66)*coupl(nGC_68) - 4d0*coupl( &
                        nGC_40)**2d0*coupl(nGC_70)*coupl(nGC_72) - 4d0*coupl(  &
                        nGC_40)**2d0*coupl(nGC_82)*coupl(nGC_84))/(12d0*pi**2d0&
                        )
      coupl(nGC_4930) = coupl(nGC_34)*dZdR
      coupl(nGC_3252) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_5762) = coupl(nGC_3445) + coupl(nGC_86)*dZuL/2d0 + coupl(nGC_86&
                        )*dZuR/2d0
      coupl(nGC_5763) = coupl(nGC_3447) + coupl(nGC_88)*dZuL/2d0 + coupl(nGC_88&
                        )*dZuR/2d0
      coupl(nGC_3263) = coupl(nGC_23)*(-Nc*coupl(nGC_53)*coupl(nGC_55) + Nc*   &
                        coupl(nGC_57)*coupl(nGC_59) - Nc*coupl(nGC_61)*coupl(  &
                        nGC_63) - Nc*coupl(nGC_73)*coupl(nGC_75) + Nc*coupl(   &
                        nGC_77)*coupl(nGC_79) + Nc*coupl(nGC_85)*coupl(nGC_87  &
                        ) - coupl(nGC_65)*coupl(nGC_67) - coupl(nGC_69)*coupl( &
                        nGC_71) - coupl(nGC_81)*coupl(nGC_83))/(24d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
