!******************************************************************************!
!                                                                              !
!    ctparameter11.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter11.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 19:55             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter11
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter11()
  dZWMinus_QED2 = (Nc*Ten215*coupl(nGC_23)**2d0*(cMB**4d0 - 2d0*cMB**2d0*cMT** &
                  2d0 + cMT**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Nc*Ten216*   &
                  coupl(nGC_23)**2d0*(cMC**4d0 - 2d0*cMC**2d0*cMS**2d0 + cMS** &
                  4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Nc*Ten217*coupl(nGC_23  &
                  )**2d0*(cMD**4d0 - 2d0*cMD**2d0*cMU**2d0 + cMU**4d0 + 2d0*rMW&
                  **4d0)/(3d0*rMW**4d0) + Nc*Ten221*coupl(nGC_23)**2d0*(-cMB** &
                  4d0 + 2d0*cMB**2d0*cMT**2d0 - cMB**2d0*rMW**2d0 - cMT**4d0 - &
                  cMT**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0) + Nc*Ten222*&
                  coupl(nGC_23)**2d0*(-cMC**4d0 + 2d0*cMC**2d0*cMS**2d0 - cMC**&
                  2d0*rMW**2d0 - cMS**4d0 - cMS**2d0*rMW**2d0 + 2d0*rMW**4d0)/(&
                  3d0*rMW**2d0) + Nc*Ten223*coupl(nGC_23)**2d0*(-cMD**4d0 + 2d0&
                  *cMD**2d0*cMU**2d0 - cMD**2d0*rMW**2d0 - cMU**4d0 - cMU**2d0*&
                  rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0) + Nc*Ten3*coupl(     &
                  nGC_23)**2d0*(cMD**2d0 - cMU**2d0)/(3d0*rMW**4d0) + Nc*Ten4* &
                  coupl(nGC_23)**2d0*(-cMC**2d0 + cMS**2d0)/(3d0*rMW**4d0) + Nc&
                  *Ten5*coupl(nGC_23)**2d0*(cMB**2d0 - cMT**2d0)/(3d0*rMW**4d0 &
                  ) + Nc*Ten6*coupl(nGC_23)**2d0*(-cMD**2d0 + cMU**2d0)/(3d0*  &
                  rMW**4d0) + Nc*Ten7*coupl(nGC_23)**2d0*(cMC**2d0 - cMS**2d0  &
                  )/(3d0*rMW**4d0) + Nc*Ten8*coupl(nGC_23)**2d0*(-cMB**2d0 +   &
                  cMT**2d0)/(3d0*rMW**4d0) - Ten0*cME**2d0*coupl(nGC_23)**2d0/(&
                  3d0*rMW**4d0) - Ten1*cMM**2d0*coupl(nGC_23)**2d0/(3d0*rMW**  &
                  4d0) - Ten2*cMTA**2d0*coupl(nGC_23)**2d0/(3d0*rMW**4d0) +    &
                  Ten214*coupl(nGC_23)**2d0*(cME**2d0 + cMM**2d0 + cMTA**2d0)/(&
                  3d0*rMW**4d0) + Ten218*coupl(nGC_23)**2d0*(cMTA**4d0 + 2d0*  &
                  rMW**4d0)/(3d0*rMW**4d0) + Ten219*coupl(nGC_23)**2d0*(cMM**  &
                  4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Ten220*coupl(nGC_23)**  &
                  2d0*(cME**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Ten224*coupl( &
                  nGC_23)**2d0*(-cMTA**4d0 - cMTA**2d0*rMW**2d0 + 2d0*rMW**4d0 &
                  )/(3d0*rMW**2d0) + Ten225*coupl(nGC_23)**2d0*(-cMM**4d0 - cMM&
                  **2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0) + Ten226*coupl(&
                  nGC_23)**2d0*(-cME**4d0 - cME**2d0*rMW**2d0 + 2d0*rMW**4d0)/(&
                  3d0*rMW**2d0) + pi**2d0*(-2d0*Nc*coupl(nGC_23)**2d0/(3d0*pi**&
                  2d0) - 2d0*coupl(nGC_23)**2d0/(3d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZWMinus_QED2 = cone*real(dZWMinus_QED2,kind=dp)
    end if 
end subroutine set_ctparameter11
end module ctparameter11
