!******************************************************************************!
!                                                                              !
!    ctparameter13.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter13.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 19:55             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter13
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter13()
  dZH_QED2 = (-4d0*Nc*Ten23*coupl(nGC_87)**2d0 - 4d0*Nc*Ten24*coupl(nGC_59)**  &
             2d0 - 4d0*Nc*Ten25*coupl(nGC_79)**2d0 - 4d0*Nc*Ten26*coupl(nGC_63 &
             )**2d0 - 4d0*Nc*Ten27*coupl(nGC_75)**2d0 - 4d0*Nc*Ten28*coupl(    &
             nGC_55)**2d0 - 4d0*Nc*Ten39*coupl(nGC_87)**2d0 - 4d0*Nc*Ten40*    &
             coupl(nGC_59)**2d0 - 4d0*Nc*Ten41*coupl(nGC_79)**2d0 - 4d0*Nc*    &
             Ten42*coupl(nGC_63)**2d0 - 4d0*Nc*Ten43*coupl(nGC_75)**2d0 - 4d0* &
             Nc*Ten44*coupl(nGC_55)**2d0 - 4d0*Nc*Ten57*cMU**2d0*coupl(nGC_87  &
             )**2d0 - 4d0*Nc*Ten58*coupl(nGC_87)**2d0*rMH**2d0 - 16d0*Nc*Ten59*&
             coupl(nGC_87)**2d0 - 4d0*Nc*Ten60*coupl(nGC_87)**2d0*rMH**2d0 -   &
             4d0*Nc*Ten61*cMC**2d0*coupl(nGC_59)**2d0 - 4d0*Nc*Ten62*coupl(    &
             nGC_59)**2d0*rMH**2d0 - 16d0*Nc*Ten63*coupl(nGC_59)**2d0 - 4d0*Nc*&
             Ten64*coupl(nGC_59)**2d0*rMH**2d0 - 4d0*Nc*Ten65*cMT**2d0*coupl(  &
             nGC_79)**2d0 - 4d0*Nc*Ten66*coupl(nGC_79)**2d0*rMH**2d0 - 16d0*Nc*&
             Ten67*coupl(nGC_79)**2d0 - 4d0*Nc*Ten68*coupl(nGC_79)**2d0*rMH**  &
             2d0 - 4d0*Nc*Ten69*cMD**2d0*coupl(nGC_63)**2d0 - 4d0*Nc*Ten70*    &
             coupl(nGC_63)**2d0*rMH**2d0 - 16d0*Nc*Ten71*coupl(nGC_63)**2d0 -  &
             4d0*Nc*Ten72*coupl(nGC_63)**2d0*rMH**2d0 - 4d0*Nc*Ten73*cMS**2d0* &
             coupl(nGC_75)**2d0 - 4d0*Nc*Ten74*coupl(nGC_75)**2d0*rMH**2d0 -   &
             16d0*Nc*Ten75*coupl(nGC_75)**2d0 - 4d0*Nc*Ten76*coupl(nGC_75)**2d0&
             *rMH**2d0 - 4d0*Nc*Ten77*cMB**2d0*coupl(nGC_55)**2d0 - 4d0*Nc*    &
             Ten78*coupl(nGC_55)**2d0*rMH**2d0 - 16d0*Nc*Ten79*coupl(nGC_55)** &
             2d0 - 4d0*Nc*Ten80*coupl(nGC_55)**2d0*rMH**2d0 - 4d0*Ten10*coupl( &
             nGC_67)**2d0 - 4d0*Ten12*coupl(nGC_67)**2d0 - 4d0*Ten21*coupl(    &
             nGC_71)**2d0 - 4d0*Ten22*coupl(nGC_83)**2d0 - 4d0*Ten37*coupl(    &
             nGC_71)**2d0 - 4d0*Ten38*coupl(nGC_83)**2d0 - 4d0*Ten45*cME**2d0* &
             coupl(nGC_67)**2d0 - 4d0*Ten46*coupl(nGC_67)**2d0*rMH**2d0 - 16d0*&
             Ten47*coupl(nGC_67)**2d0 - 4d0*Ten48*coupl(nGC_67)**2d0*rMH**2d0  &
              - 4d0*Ten49*cMM**2d0*coupl(nGC_71)**2d0 - 4d0*Ten50*coupl(nGC_71 &
             )**2d0*rMH**2d0 - 16d0*Ten51*coupl(nGC_71)**2d0 - 4d0*Ten52*coupl(&
             nGC_71)**2d0*rMH**2d0 - 4d0*Ten53*cMTA**2d0*coupl(nGC_83)**2d0 -  &
             4d0*Ten54*coupl(nGC_83)**2d0*rMH**2d0 - 16d0*Ten55*coupl(nGC_83)**&
             2d0 - 4d0*Ten56*coupl(nGC_83)**2d0*rMH**2d0 + pi**2d0*(-2d0*Nc*   &
             coupl(nGC_55)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_59)**2d0/(3d0*&
             pi**2d0) - 2d0*Nc*coupl(nGC_63)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(&
             nGC_75)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_79)**2d0/(3d0*pi**  &
             2d0) - 2d0*Nc*coupl(nGC_87)**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_67 &
             )**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_71)**2d0/(3d0*pi**2d0) - 2d0*&
             coupl(nGC_83)**2d0/(3d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZH_QED2 = cone*real(dZH_QED2,kind=dp)
    end if 
end subroutine set_ctparameter13
end module ctparameter13
