!******************************************************************************!
!                                                                              !
!    ctparameter8.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter8.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 19:55             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter8
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter8()
  dt_QED1 = (4d0*cima*Nc*Ten3*cMU*coupl(nGC_87) + 4d0*cima*Nc*Ten4*cMC*coupl(  &
            nGC_59) + 4d0*cima*Nc*Ten5*cMT*coupl(nGC_79) + 4d0*cima*Nc*Ten6*cMD&
            *coupl(nGC_63) + 4d0*cima*Nc*Ten7*cMS*coupl(nGC_75) + 4d0*cima*Nc* &
            Ten8*cMB*coupl(nGC_55) + 4d0*cima*Ten0*cME*coupl(nGC_67) + 4d0*cima&
            *Ten1*cMM*coupl(nGC_71) + 4d0*cima*Ten2*cMTA*coupl(nGC_83))/(16d0* &
            pi**2d0)
    if (.not. complex_mass_scheme) then
      dt_QED1 = cone*real(dt_QED1,kind=dp)
    end if 
end subroutine set_ctparameter8
end module ctparameter8
