!******************************************************************************!
!                                                                              !
!    lcVFFa0.f90                                                               !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   lcVFFa0.f90                                    |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 19:55             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module lcVFFa0
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29, x30
  contains
    subroutine loopVFFa0(ty, co, wl, P1, PL1, w2, P2, PL2, m, wp, riMaxIn,     &
    riMaxOut, rankInc)
      integer, intent(in) :: riMaxIn, riMaxOut, rankInc
      complex (kind = dp), intent(in), dimension(0:3) :: P1, PL1
      complex (kind = dp), intent(in), dimension(0:3, 0:riMaxIn) :: wl
      complex (kind = dp), intent(in), dimension(0:3) :: P2, PL2
      complex (kind = dp), intent(in), dimension(0:3) :: w2
      complex (dp), intent(out), dimension(0:3,0:riMaxOut) :: wp
      complex (kind = dp), intent(in) :: m
      complex (kind = dp), dimension(0:3) :: pl, p
      integer, intent(in) :: ty
      complex (kind = dp), dimension(0:), intent(in) :: co
      complex (kind = dp), dimension(0:3) :: sp1
      complex (kind = dp), dimension(0:3,0:3) :: sp2
      complex (kind = dp), dimension(0:3,0:3,0:3) :: sp3
      complex (kind = dp), dimension(0:3,0:3,0:3,0:3) :: sp4
      character(len=3) :: ty_str
      integer :: riOut, j
      logical :: isFirstRI
      integer :: mu, nu, ro, ta, te, tu
      select case(ty)
      case(VFFa0)
!       GammaM(1,3,2)*c0
        pl(:) = PL1(:) + PL2(:)
        x7 = pl(1)*w2(3)
        x8 = pl(2)*w2(3)
        do j = riMaxIn, 0, -1
          x0 = w2(2)*(wl(0,j) + wl(3,j))
          x1 = co(0)*(cima*w2(3)*wl(1,j) + cima*x0 + w2(3)*wl(2,j))
          x2 = w2(2)*wl(1,j)
          x3 = w2(3)*(wl(0,j) - wl(3,j))
          x4 = x2 + x3
          x5 = -w2(2)*wl(2,j)
          x6 = co(0)*(cima*x4 + x5)
          x9 = co(0)*(cima*x2 + cima*x3 + x5)
          x10 = cima*wl(2,j)
          wp(0,j) = -m*x1
          wp(1,j) = -m*x6
          wp(2,j) = co(0)*(cima*pl(1)*x0 - cima*pl(3)*x4 + cima*wl(1,j)*x7 + pl&
                    (3)*w2(2)*wl(2,j) + wl(2,j)*x7)
          wp(3,j) = -co(0)*(-cima*pl(0)*x4 + cima*pl(2)*x0 + cima*wl(1,j)*x8 + &
                    pl(0)*w2(2)*wl(2,j) + wl(2,j)*x8)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = 0
          sp2(0,1) = 0
          sp2(0,2) = x1
          sp2(0,3) = x9
          sp2(1,0) = 0
          sp2(1,1) = 0
          sp2(1,2) = x9
          sp2(1,3) = x1
          sp2(2,0) = 0
          sp2(2,1) = 0
          sp2(2,2) = co(0)*(w2(2)*(wl(1,j) + x10) + x3)
          sp2(2,3) = -co(0)*(w2(3)*(wl(1,j) - x10) + x0)
          sp2(3,0) = 0
          sp2(3,1) = 0
          sp2(3,2) = x1
          sp2(3,3) = -x6
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      end select 
    end subroutine loopVFFa0
end module lcVFFa0
