!******************************************************************************!
!                                                                              !
!    tcSFaF1.f90                                                               !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcSFaF1.f90                                    |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 19:55             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcSFaF1
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16
  contains
    subroutine treeSFaF1(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last, &
    VB_last)
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
      complex(kind=dp), intent(in), dimension(0:3) :: w2
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(SFaF1)
!       ProjM(2,3)*c0
    if (last .eqv. .false.) then
      pl(:) = PL1(:) + PL2(:)
      x0 = co(0)*w1(0)
      x1 = co(0)*m*w1(0)
      wout(0) = x0*(pl(1)*w2(2) - pl(2)*w2(3))
      wout(1) = x0*(pl(0)*w2(3) - pl(3)*w2(2))
      wout(2) = w2(2)*x1
      wout(3) = w2(3)*x1
    else
      x0 = co(0)*w1(0)
      wout(0) = 0
      wout(1) = 0
      wout(2) = w2(2)*x0
      wout(3) = w2(3)*x0
    end if 
      end select 
    end subroutine treeSFaF1
end module tcSFaF1
